/*                                           -*- mode: c; c-basic-offset: 2 -*-
 *
 * This is kiba, a fun GNOME dock
 */

#ifndef __KIBA_AKAMARU_H__
#define __KIBA_AKAMARU_H__

void
kiba_akamaru_init            (KibaDock *dock);
gboolean
kiba_rope_anchor             (KibaDock *dock);
void
kiba_add_rope_spring         (KibaDock *dock, double factor);
void
kiba_delete_rope_spring      (KibaDock *dock);
void
kiba_add_rope_strings        (KibaDock *dock);
void
kiba_delete_rope_strings     (KibaDock *dock);
void
kiba_add_wobbly_spring       (KibaDock *dock);
void
kiba_delete_wobbly_spring    (KibaDock *dock);
void
kiba_add_object_spring       (KibaDock *dock);
void
kiba_delete_object_spring    (KibaDock *dock);
void
add_spacer                   (AkamaruObject *object, void *data);
void
kiba_reload_spacers          (KibaDock *dock);
// void     kiba_add_spacer_polygons     (KibaDock                 *dock);

#endif
